STRUCT REGULATOR_INI(9)

NAME
struct_regulator_init_data - regulator platform initialisation data.

SYNOPSIS

struct regulator_init_data {
  const char * supply_regulator;
  struct regulation_constraints constraints;
  int num_consumer_supplies;
  struct regulator_consumer_supply * consumer_supplies;
  int (* regulator_init) (void *driver_data);
  void * driver_data;
};

MEMBERS

supply_regulator
    Parent regulator. Specified using the regulator name as it appears in the name field in sysfs, which can be explicitly set using the constraints field 'name'.

constraints
    Constraints. These must be specified for the regulator to be usable.

num_consumer_supplies
    Number of consumer device supplies.

consumer_supplies
    Consumer device supply configuration.

regulator_init
    Callback invoked when the regulator has been registered.

driver_data
    Data passed to regulator_init.

DESCRIPTION

Initialisation constraints, our supply and consumers supplies.

AUTHORS

Liam Girdwood <lrg@slimlogic.co.uk>
    Author.

Mark Brown <broonie@opensource.wolfsonmicro.com>
Wolfson Microelectronics,

    Author.

COPYRIGHT